Fireofx i niedziałający/ukryty pipelight


(nintyfan) #1

Mam zainstalowanego Firefoksa 36.0.4 i OpenSuSE Tumbleweed. Ponieważ mój ojciec na staruśkim OpenSuSE zainstalował sobie Pipelight  i teraz ogląda filmy na ipla.tv, postanowiłem zrobić to samo. Zainstalowałem pipelight(wraz z wine-staging, jako zależność), korzystając z Yast One Click Install. Następnie uruchomiłem terminal i wpisałem:

pipelight-plugin --enable silverlight5.0

Musiałem zaakceptować licencję, dogłębnie ją przeczytałem i zaakceptowałem.

Następnie ponownie uruchomiłem przeglądarkę. Ponieważ wcześniej miałem prefix wine dla pipelight, wine zaczęło się aktualizować. Po aktualizacji pobrał silverlight i pojawiło się okno z informacją, że trwa instalacja. Okno zniknęło, ale nie pojawiło się okno instalatora. Uruchomiłem ponownie przeglądarkę i nic. Silverlight nie działa, a na karcie dodatków(sekcja wtyczki) nie ma silverlight i nie ma pipelight-a. Uruchomiłem ponownie przeglądarkę w terminalu, jednak żaden sensowny komunikat się nie pojawił(tylko coś o błędach w xpi, a wtyczki nie są dostarczane chyba  w formacie XPI, poza wtyczkami do instalacji bez uprawnień administratora).


(pocolog) #2

Czy polecenie “pipelight-plugin --enable silverlight5.” wydałeś jako ten użytkownik który włącza firefoksa?

 

Pokaż wynik polecenia (wykonaj jako użytkownik)

pipelight-plugin --list-enabled
pipelight-plugin --system-check

(nintyfan) #3

Usunąłem prefix wine dla pipelight, następnie wykonałem następujące polecenie:

 WINEPREFIX=~/.wine-pipelight/ WINE=/usr/share/pipelight/wine /usr/share/pipelight/install-dependency wine-silverlight5.1-installer

Prefix został utworzony, został pobrany instalator, instalator został uruchomiony. Następnie wyłączyłem(podczas instalacji) aktualizacje automatyczne i zakończyłem proces instalacji. Program w kółko wypluwa te same komunikaty w terminalu(coś o czcionkach), a ostatni komunikat to:

fixme:process:FlushProcessWriteBuffers : stub
[install-dependency] ERROR: Installer for wine-silverlight5.0-installer did not run correctly or was aborted.
[install-dependency] ERROR: Execution of wine-silverlight5.0-installer failed.

Na jakimś forum przeczytałem, że to może być problem z Apparmorem lub SeLinuksem. Czy uruchomić strace -e open?


(nintyfan) #4

Nadal jestem zainteresowany rozwiązaniem problemu, ale sprawdziłem na Konquerorze i wszystko śmiga.


(Tomi829) #5

Firefox ma problem z aktualizacją pliku Pluginreg.dat, wystarczy go usunąć i zrestartować firefoxa. U mnie ścieżka do pliku wygląda tak:

/home/tomi770/.mozilla/firefox/8z5tv349.default/pluginreg.dat.

Pozdrawiam


(nintyfan) #6

Dobra, działa!

Wielkie dzięki